#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false) ;
    cin.tie(0) ;
    cout.tie(0) ;
    int t ;
    cin >> t ;
    for(int k=0 ; k<t ; k++){
        int n ;
        cin >> n ;
        int a[n] ;
        int b[n] ;
        int bv[n] ;
        for(int i=0 ; i<n ; i++ ){
            cin >> a[i] ;
        }
        for(int i=0 ; i<n ; i++){
            cin >> b[i] ;
            bv[i]=0 ;
        }
        for(int i=0 ; i<n ; i++){
            for(int j=0 ; j<n ; j++){
                if(a[i]==b[j]){
                    if(i%2==j%2 && bv[j]==0){
                        bv[j]=1 ;
                        break ;
                    }
                }
                if(a[i]==-b[j]){
                    if(i%2!=j%2 && bv[j]==0){
                        bv[j]=1 ;
                        break ;
                    }
                }
            }
        }
        int t=1 ;
        for(int i=0 ; i<n ; i++){
            if(bv[i]==0){
                t=0 ;
                break ;
            }
        }
        if(t==1){
            cout <<"DA" << endl;
        }
        else{
            cout << "NE"  << endl ;
        }
    }
    return 0;
}